Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.io
Class UTF16Decoder

    java.lang.Object
      org.apache.batik.util.io.AbstractCharDecoder
          org.apache.batik.util.io.UTF16Decoder

All Implemented Interfaces:
  CharDecoder

    public class UTF16Decoder

extends AbstractCharDecoder

This class represents an object which decodes UTF-16 characters from a stream of bytes.

Field Summary
`protected boolean` | `bigEndian` Whether the stream's byte-order is big-endian.

Fields inherited from class org.apache.batik.util.io.AbstractCharDecoder
`buffer, BUFFER_SIZE, count, inputStream, position`

Fields inherited from interface org.apache.batik.util.io.CharDecoder
`END_OF_STREAM`

Constructor Summary
`UTF16Decoder(InputStream is)` Creates a new UTF16Decoder.
`UTF16Decoder(InputStream is, boolean be)` Creates a new UTF16Decoder.

Method Summary
`int` | `readChar()` Reads the next character.

Methods inherited from class org.apache.batik.util.io.AbstractCharDecoder
`charError, dispose, endOfStreamError, fillBuffer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bigEndian

    protected boolean bigEndian

  Whether the stream's byte-order is big-endian.

Constructor Detail

### UTF16Decoder

    public UTF16Decoder(InputStream is)
                 throws IOException

  Creates a new UTF16Decoder. It is assumed that the byte-order mark is present.

  Parameters:
    `is` - The stream to decode.
  Throws:
    `IOException`

### UTF16Decoder

    public UTF16Decoder(InputStream is,
                        boolean be)

  Creates a new UTF16Decoder.

  Parameters:
    `is` - The stream to decode.
    `be` - Whether or not the given stream's byte-order is big-endian.

Method Detail

### readChar

    public int readChar()
                 throws IOException

  Reads the next character.

  Returns:
    a character or END_OF_STREAM.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.